Package Details: fakeroot-tcp 1.25.3-1

Git Clone URL: https://aur.archlinux.org/fakeroot-tcp.git (read-only, click to copy)
Package Base: fakeroot-tcp
Description: Tool for simulating superuser privileges,with tcp ipc
Upstream URL: http://packages.debian.org/fakeroot
Licenses: GPL
Conflicts: fakeroot
Provides: fakeroot=1.25.3-1
Submitter: 4679kun
Maintainer: w0rty (sgorblex)
Last Packager: w0rty
Votes: 13
Popularity: 1.45
First Submitted: 2016-04-11 03:08
Last Updated: 2020-12-08 12:09

Required by (93)

Sources (1)

Latest Comments

1 2 Next › Last »

harre commented on 2020-12-07 23:48

@sgorblex: +1 your patch works perfectly, hope maintainer @4679kun will update soon

dakyskye commented on 2020-12-02 11:58

@sgorblex I get /usr/sbin/fakeroot: line 1: kill: (10356) - No such process now. Any idea?

sgorblex commented on 2020-11-28 20:22

Hi. In the following paste I tried to fix the version issue and to update the package. Apparently the new version doesn't need the silence patch since the source is already patched. I also added a make dep, autoconf, without which I couldn't install the package. Hope this helps.

https://pastebin.com/G9Ctrjht

SDRausty commented on 2020-10-17 20:24

    PKGBUILD is referencing a version 1.24-2, but that does not appear to exist upstream...

Versions from 1.20 through 1.25 exist; But somehow version 1.24 disappeared. Can PKGBUILD be updated to reflect this change please?

pgordon8001 commented on 2020-10-02 22:16

PKGBUILD is referencing a version 1.24-2, but that does not appear to exist upstream...

d0lphin commented on 2020-06-11 20:31

/home/lenni/.cache/yay/fakeroot-tcp/PKGBUILD: line 41: po4a: command not found ==> ERROR: A failure occurred in build().

vanyasem commented on 2020-02-29 22:46

Please read https://wiki.archlinux.org/index.php/DeveloperWiki:Building_in_a_clean_chroot before submitting AUR packages

Gabuscus commented on 2020-01-30 16:57

This also needs a dependency on automake, otherwise the build fails:

==> Starting build()...
autoreconf: Entering directory `.'
autoreconf: configure.ac: not using Gettext
autoreconf: running: aclocal -I build-aux --output=aclocal.m4t
Can't exec "aclocal": No such file or directory at /usr/share/autoconf/Autom4te/FileUtils.pm line 326.
autoreconf: failed to run aclocal: No such file or directory
==> ERROR: A failure occurred in build().
    Aborting...
Error making: fakeroot-tcp

4679kun commented on 2020-01-30 03:02

@asem It's Updated. Sorry, outlook threw the aur notify mail into spam.

programegg commented on 2020-01-29 22:35

@asem I'm not the maintainer but you can edit the PKGBUILD to install the latest version

pkgver=1.23 => pkgver=1.24

and to make sure the file actually downloads the source needs changed from .xz to .gz:

<http://ftp.debian.org/debian/pool/main/f/>$_pkgname/${_pkgname}_${pkgver}.orig.tar.xz

becomes

<http://ftp.debian.org/debian/pool/main/f/>$_pkgname/${_pkgname}_${pkgver}.orig.tar.gz

I was able to successfully build 1.24 on my system.